Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.aspose.barcode.jr
Class BarCodeFillFactory

    java.lang.Object
      com.aspose.barcode.jr.BarCodeFillFactory

All Implemented Interfaces:
  net.sf.jasperreports.engine.component.ComponentFillFactory

    public final class BarCodeFillFactory

extends java.lang.Object
implements net.sf.jasperreports.engine.component.ComponentFillFactory

A factory of fill component instances

Constructor Summary
`BarCodeFillFactory()`

Method Summary
`net.sf.jasperreports.engine.component.FillComponent` | `cloneFillComponent(net.sf.jasperreports.engine.component.FillComponent component, net.sf.jasperreports.engine.fill.JRFillCloneFactory factory)` Creates a clone of a fill component.
`BarCodeProviders` | `getProviders()`
`void` | `setProviders(BarCodeProviders providers)`
`net.sf.jasperreports.engine.component.FillComponent` | `toFillComponent(net.sf.jasperreports.engine.component.Component component, net.sf.jasperreports.engine.fill.JRFillObjectFactory factory)` Creates a fill component instance for a component.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BarCodeFillFactory

    public BarCodeFillFactory()

Method Detail

### toFillComponent

    public net.sf.jasperreports.engine.component.FillComponent toFillComponent(net.sf.jasperreports.engine.component.Component component,
                                                                               net.sf.jasperreports.engine.fill.JRFillObjectFactory factory)

  Creates a fill component instance for a component.

  Specified by:
    `toFillComponent` in interface `net.sf.jasperreports.engine.component.ComponentFillFactory`

### cloneFillComponent

    public net.sf.jasperreports.engine.component.FillComponent cloneFillComponent(net.sf.jasperreports.engine.component.FillComponent component,
                                                                                  net.sf.jasperreports.engine.fill.JRFillCloneFactory factory)

  Creates a clone of a fill component.
  Fill components clones are currently only created when the component element is placed inside a crosstab.

  Specified by:
    `cloneFillComponent` in interface `net.sf.jasperreports.engine.component.ComponentFillFactory`

### getProviders

    public BarCodeProviders getProviders()

### setProviders

    public void setProviders(BarCodeProviders providers)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD